:root {
  --bg-color: #151515;
  ---white: #fff;
  --font-link: 14px;
  --violet: #9f5afd;
  --transition: ease-in 0.2s;
  --border-radius: 10px;
  
}

/* ESTILOS GLOBALES */
body {
  background-color: var(--bg-color);
  font-family: "Inter", sans-serif;
  color: var(---white);
}

h1,
h2,
h3,
h5,
h6 {
  color: var(--violet) !important;
}

body {
  color: var(--white);
}

.table {
  color: unset !important;
}

.container {
  margin-top: 20px;
}

a {
  color: var(---white) !important;
}

/* Estilos para el carrusel */
.carousel-item img {
  width: 100%;
  height: auto;
}

/* Estilos para la tarjeta con texto */
.card {
  border: 1px solid #ddd;
}

.card-title {
  color: #007bff;

}

.card-text {
  color: #555;
}

main>.container {
  padding: 0px;
  margin: 0px;
  max-width: unset;
}

main {
  width: 100%;
  margin: 0px;
  padding: 0px;
}

.footer {
  font-size: 0.9em;
  height: 60px;
}

.footer>.container {
  padding-right: 15px;
  padding-left: 15px;
}

.not-set {
  color: #c55;
  font-style: italic;
}

a.asc:after,
a.desc:after {
  content: "";
  left: 3px;
  display: inline-block;
  width: 0;
  height: 0;
  border: solid 5px transparent;
  margin: 4px 4px 2px 4px;
  background: transparent;
}

a.asc:after {
  border-bottom: solid 7px #212529;
  border-top-width: 0;
}

a.desc:after {
  border-top: solid 7px #212529;
  border-bottom-width: 0;
}

.grid-view th {
  white-space: nowrap;
}

.hint-block {
  display: block;
  margin-top: 5px;
  color: #999;
}

.error-summary {
  color: #a94442;
  background: #fdf7f7;
  border-left: 3px solid #eed3d7;
  padding: 10px 20px;
  margin: 0 0 15px 0;
}

.nav li>form>button.logout {
  padding-top: 7px;
  color: rgba(255, 255, 255, 0.5);
}

@media (max-width: 767px) {
  .nav li>form>button.logout {
    display: block;
    text-align: left;
    width: 100%;
    padding: 10px 0;
  }
}

.nav>li>form>button.logout:focus,
.nav>li>form>button.logout:hover {
  text-decoration: none;
  color: rgba(255, 255, 255, 0.75);
}

.nav>li>form>button.logout:focus {
  outline: none;
}

.container {
  margin-top: 20px;
}

p {
  font-family: "Inter", sans-serif;
  font-size: 16px;
}

.bloque2 {
  padding: 0;
  font-family: "Lato", sans-serif;
  /* background-color: #0B666A; */
  margin-bottom: 0px;
}


.sin-margen {
  margin-bottom: -24px;
}

.bloque3 {
  padding: 0;
  background-color: #0b666a;
  margin-top: 0px;
}

.carousel-item {
  height: auto;
}

.row {
  margin: 0;
}

/* ESTILOS HEADER */

.navbar-profile-img {            
  width: 30px;
  height: 30px;
  border-radius: 50%;
  margin-right: 10px;
}

#header .navbar-title {
  font-family: "Permanent Marker", cursive;
  font-weight: 400;
  font-style: normal;
}

#header .navbar-brand {
  color: white;
  font-size: 1.8rem !important;
}

#header .container {
  max-width: unset;
  margin: 0;
}

#header {
  position: fixed;
  z-index: 3;
  width: 100%;
  background: var(--bg-color);
  height: 5.4rem;
  top: 0;
}

#header #w0 {
  padding-top: 0 !important;
  padding-bottom: 0;
}

body {
  padding-top: 5.4rem !important;
}

div#w0-collapse,
div#w1-collapse {
  display: flex;
  justify-content: space-between;
}

#header .nav li .nav-link {
  font-size: var(--font-link);
}

.container-login-registro .navbar-nav.nav {
  display: flex;
  align-items: center;
}

.navbar-nav.nav .nav-link {
  font-weight: 600 !important;
  transition: ease-in 0.2s;
}

.navbar-nav.nav .nav-link:hover {
  color: var(--violet) !important;
}

.nav-link.active {
  color: var(--violet) !important;
}

.icon {
  padding: 0 !important;
}

i.fa-brands {
  border: 2px solid white;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: var(--transition);
}

.navbar-nav.nav .nav-link:hover i.fa-brands {
  border: 2px solid var(--violet);
}

.navbar-nav.nav .nav-link {
  color: white !important;
  font-weight: 600 !important;
  transition: color 0.2s ease-in;
}

/* FOOTER */

.footer .container {
  padding: 3rem 0;
  position: relative;
  max-width: unset;
  height: 500px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.footer .title {
  font-size: 30px;
  transition: ease-in 0.3s;
}

.footer .title:hover {
  color: var(--violet);
}

.footer .row-1 {
  font-size: 15px !important;
}

.gotogether {
  font-family: "Permanent Marker", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 2.2rem !important;
  margin-bottom: 2rem;
}

.footer .row.row-2 {
  margin-bottom: 2rem;
}

.footer-right-image {
  background-image: url(../images/footer-image.jpg);
  position: absolute;
  height: 100%;
  width: 50%;
  z-index: -1;
  right: 0;
  top: 0;
  opacity: 0.4;
  background-size: cover;
  height: 500px;
}

.footer-right-image::before {
  content: "";
  background: linear-gradient(89.28deg,
      #151515 0.52%,
      rgba(28, 28, 28, 0) 96.28%);
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}

.footer-right-image::after {
  content: "";
  background: linear-gradient(182.35deg,
      #151515 13.03%,
      #151515 13.04%,
      rgba(0, 0, 0, 0) 121.12%);
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}

.copyright {
  color: gray;
  font-weight: 500;
}

/* EVENTOS */

.eventos-home {
  margin-top: 5rem;
}

.eventos-home h6 {
  opacity: 0.6;
}

/* TARJETAS */

.contenedor {
  transition: transform 0.2s;
  margin-bottom: 2rem;
}

.contenedor:hover {
  transform: scale(1.05);
}

.imagen-evento {
  width: 100%;
  height: 400px;
  object-fit: cover;
}

.fecha {
  margin-top: 10px;
  font-size: 13px;
  color: var(---white);
  opacity: 0.4;
  text-transform: uppercase;
  margin-top: 30px;
  margin-bottom: 15px;
}

.card-body {
  padding: 0 !important;
}

.titulo {
  margin-top: 5px;
  font-size: 1.4rem;
  font-weight: bold;
  color: var(---white);
}

.card.contenedor {
  border: none !important;
  background-color: transparent !important;
}

.titulo::after {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  background-color: var(--white);
  left: 0;
  bottom: -2px;
  transition: width 0.3s ease;
}

.contenedor:hover .titulo::after {
  width: 100%;
}

/* VISTA EVENTOS DETALLE */
.single-news-hero {
  width: 100%;
  height: 60vh;
  position: relative;
}

.single-news-hero .image {
  background-image: url(../images/eventos/evento-banner.jpg);
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
}

.single-news-hero .image:before {
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  bottom: 0;
  position: absolute;
  background: linear-gradient(359.19deg,
      #151515 1.55%,
      rgba(17, 17, 17, 0.822757) 32.15%,
      rgba(0, 0, 0, 0) 123.68%);
}

.eventos-view .container {
  max-width: unset;
  position: relative;
}

.detalle-evento-container {
  position: relative;
}

.row-1.detalle-evento {
  max-width: 1250px;
  margin: auto;
  width: calc(100% - 40px);
  left: 0;
  right: 0;
  bottom: 20px;
  z-index: 1;
}

.eventos-view .row {
  max-width: 1250px;
}

.eventos-view .categoria {
  opacity: 1;
  text-transform: uppercase;
  font-size: 12px;
}

.eventos-view p {
  opacity: 0.6;
}

/* HOMEPAGE */
.hero-1 {
  height: 100vh;
  overflow: hidden;
}

.outer {
  display: table;
  width: 100%;
  height: 100%;
}

.inner {
  width: 100%;
  height: 100%;
  display: table-cell;
  vertical-align: middle;
}

.hero-1 .hero-wrapper {
  box-sizing: border-box;
  height: 100%;
}

.hero-1 .hero-wrapper .text {
  float: left;
  width: 60%;
  padding-left: 120px;
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  z-index: 1;
}

hero-1 .hero-wrapper .text .title {
  margin: 0;
  font-weight: 600;
  letter-spacing: -4px;
  overflow: hidden;
}

.text-anime .line-wrapper {
  overflow: hidden;
}

.hero-1 .hero-wrapper .text p {
  opacity: 0.5;
  margin-left: 15px;
  margin-top: 30px;
}

.hero-1 .hero-wrapper .image {
  float: right;
  width: 65%;
  z-index: 0;
  position: relative;
  display: block;
  height: 100%;
}

.hero-1 .hero-wrapper .image img {
  width: 100%;
}

.image-anime.revealed:after {
  width: 0;
}

.image-anime:after {
  content: "";
  width: 100%;
  height: 100%;
  background: #131313;
  position: absolute;
  left: 0;
  top: 0;
  transition: all cubic-bezier(1, 0, 0, 1) 1s;
  -webkit-transition: all cubic-bezier(1, 0, 0, 1) 1s;
  -moz-transition: all cubic-bezier(1, 0, 0, 1) 1s;
  -ms-transition: all cubic-bezier(1, 0, 0, 1) 1s;
  -o-transition: all cubic-bezier(1, 0, 0, 1) 1s;
  z-index: 11;
}

/*TITULO COLOR*/
.hero-1 .hero-wrapper .text .title span {
  background: linear-gradient(87.6deg, #093df8 -31.42%, #bc5ffc 112.86%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
}

.text-anime {
  font-size: calc(1rem + 5.5vw);
  line-height: calc(1rem + 6.4vw);
  font-weight: 500 !important;
}

.text-gray-h {
  opacity: 0.6;
}

.hero-1 .bottom-area {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.hero-1 .bottom-area .down-arrow i {
  color: #fff;
  font-size: 25px;
  padding: 0.5rem;
}

.down-arrow i {
  transform: rotate(90deg);
}

.social-trigger {
  float: right;
  display: none;
}

.arrow-container {
  display: flex;
  align-items: center;
}

.social {
  display: flex;
  justify-content: flex-end;
  gap: 3rem;
  padding: 0 2rem;
}

.social {
  text-decoration: none;
}

.social a {
  font-size: 14px !important;
  font-weight: 600 !important;
  text-transform: lowercase !important;
}

.social a:hover {
  text-decoration: none;
  color: var(--violet) !important;
  transition: var(--transition) !important;
}

.tarjetas {
  display: flex;
  flex-wrap: wrap;
}

.card {
  position: relative;
  width: 100%;
  border-radius: 8px;
  overflow: hidden;
  cursor: pointer;
  transition: transform 0.3s;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.card:hover {
  transform: scale(1.05);
}

.card-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  filter: brightness(0.7);
}

.description {
  position: relative;
  z-index: 1;
  color: white;
  padding: 16px;
  background: rgba(0, 0, 0, 0.5);
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

.row {
  margin: 0;
}

.col-md-4 {
  padding: 0 8px;
}

.mb-4 {
  margin-bottom: 1.5rem;
}

.row-eventos {
  max-width: 1250px;
  margin-left: auto !important;
  margin-right: auto !important;
  margin-top: 3rem;
}

.row-eventos .c-card {
  padding: 0;
  min-height: 350px;
}

.row-eventos .c-card .card {
  margin-bottom: 0 !important;
}

.row-eventos .c-card .card {
  border: none !important;
}

.row-eventos .c-card .card .description {
  background: rgba(0, 0, 0, 0.8);
}

.row-eventos .c-card .card .description .date {
  opacity: 0.6;
  font-weight: 500;
  font-size: 15px;
  margin-bottom: 0;
}

.row-eventos .description {
  max-height: 150px;
}

.row-eventos .description .n-evento {
  margin-bottom: 0px;
}

.row-eventos .description .lugar {
  margin-bottom: 0 !important;
}

.slider-container {
  overflow: hidden;
  position: relative;
  width: 100%;
}

.slider-track {
  display: flex;
  transition: transform 0.5s ease;
}

.slide {
  min-width: 33.3%;
  box-sizing: border-box;
  padding: 0 8px;
}

/* Botones Slider */
button.prev, button.next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
  color: white;
  font-size: 2rem;
  cursor: pointer;
  z-index: 10;
}

button.prev {
  left: 10px;
}

button.next {
  right: 10px;
}

button.prev:hover, button.next:hover {
  color: #ccc;
}

.slide .card {
  height: 400px; 
}

.card {
  position: relative;
  width: 100%;
  border-radius: 8px;
  overflow: hidden;
  cursor: pointer;
  transition: transform 0.3s;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.card:hover {
  transform: scale(1.05);
}

.card-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  filter: brightness(0.7);
}

.description {
  position: relative;
  z-index: 1;
  color: white;
  padding: 16px;
  background: rgba(0, 0, 0, 0.5);
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

.description .date,
.description .n-evento,
.description .lugar {
  margin: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.site-contact {
  height: 88vh;
  background: url(../images/contact/contact-bg.jpg);
}

.site-contact {
  position: relative;
}

.bg-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 1;
}

.site-contact>*:not(.bg-overlay) {
  position: relative;
  z-index: 2;
}

.form-group label {
  display: none;
}

/* Estilo para los inputs */
.form-group input,
.form-group textarea,
.form-group select {
  width: 25%;
  padding: 10px 0;
  margin: 10px 10px 10px 0; 
  background: transparent;
  border: none;
  border-bottom: 1px solid gray;
  color: #000; 
  box-sizing: border-box;
}

/* Cambiar el color del placeholder a negro */
.form-group input::placeholder,
.form-group textarea::placeholder,
.form-group select::placeholder {
  color: #000; 
}

.form-group input:focus,
.form-group textarea:focus,
.form-group select:focus {
  border-bottom: 1px solid gray;
  outline: none;
}

.filter-container {
  display: flex;
  justify-content: center; 
  align-items: center;
  flex-wrap: wrap; 
  margin-bottom: 20px; 
}

.filter-container .form-group {
  margin: 0 10px; 
  margin-bottom: 0;
}

/* Estilo para los filtros en la vista de experiencias */
.filter-container .form-control {
  width: 100%;
  max-width: 300px; 
  padding: 5px 10px; 
  font-size: 14px; 
  border: 1px solid #ccc; 
  border-radius: 5px; 
  background-color: #333; 
  color: white; 
}

/* Cambiar el color del placeholder a blanco */
.filter-container .form-control::placeholder {
  color: white; 
}

.filter-container .form-control:focus {
  outline: none; 
  box-shadow: none; 
  border-color: #aaa; 
  background-color: #333; 
  color: white;
}

.filter-container .form-control:active {
  opacity: 1; 
}

.filter-container .form-control:hover {
  opacity: 1;
}

/* Estilo específico para las opciones del select */
.filter-container .form-control option {
  color: black; 
  background-color: white; 
}


/* Estilo adicional para el formulario de experiencias */
.experiencias-form .form-control {
  width: 100%;
  padding: 10px;
  background-color: #333;
  border: 1px solid #555;
  border-radius: var(--border-radius);
  color: white;
  margin-bottom: 15px;
}

.experiencias-form .form-control::placeholder {
  color: white;
}

.experiencias-form .form-control:focus {
  outline: none;
  border-color: var(--violet);
  color: white;
}

/* Estilo específico para las opciones del select en el formulario de experiencias */
.experiencias-form select.form-control option {
  color: black;
  background-color: white; 
}


/* Estilo para los placeholders */
.form-group input::placeholder,
.form-group textarea::placeholder {
  color: rgba(255, 255, 255, 0.7);
}

.form-control:focus {
  background: transparent !important;
}

.form-group input::placeholder,
.form-group textarea::placeholder {
  color: white;
}

.site-contact #contact-form {
  padding: 1rem;
  border-radius: 20px;
}

.btn-contact {
  background-color: #9f5afd !important;
  border: none;
}

.was-validated .form-control:invalid,
.form-control.is-invalid {
  border-color: unset !important;
}

/* EXPERIENCIAS */
.experiencias-index {
  max-width: 1250px;
}

.events-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.event-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  border-bottom: 1px solid #ccc;
  background-color: #1a1a1a;
  color: #fff;
}

.event-details {
  display: flex;
  gap: 20px;
}

.comment {
  max-width: 500px;
  padding: 0 20px;
}

.fa-comment {
  color: var(--violet);
  padding-right: 0.2rem;
}

.fa-star,
.fa-user {
  color: var(--violet);
}

.nameuser {
  font-weight: 700;
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.event-date-location {
  display: flex;
  flex-direction: column;
  max-width: 300px;
  width: 300px;
}

.event-date {
  font-size: 1.2em;
  font-weight: bold;
  text-transform: uppercase;
}

.event-location {
  font-size: 0.9em;
  color: #ccc;
  font-weight: 500;
}

.event-time {
  display: flex;
  align-items: center;
  gap: 3.5rem;
}

.buy-ticket {
  display: inline-block;
  padding: 10px 20px;
  border: 2px solid var(--white);
  border-radius: 20px;
  text-decoration: none;
  color: var(--white);
  transition: var(--transition);
  text-decoration: unset !important;
}

.buy-ticket:hover {
  background-color: var(--violet);
  color: var(--white);
}

.btn-add-experience {
  text-decoration: none !important;
  background-color: var(--violet);
  margin: 1rem 0;
  display: inline-block;
  border-radius: var(--border-radius);
  padding: 1rem;
  transition: var(--transition);
  border-color: 2px solid var(--white);
}

.pagination-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.pagination-wrapper .pagination .active a {
  color: var(--violet) !important;
}

.pagination-wrapper .pagination {
  gap: .4rem;
}

/* usuarios */

/* Ajustes adicionales para centrar el formulario de filtro */
.form-inline {
  display: flex;
  justify-content: center;
  align-items: center;
}

.form-inline .form-group {
  margin: 0 10px;
}

/* Estilos adicionales para las tarjetas de usuarios */
.card-layout {
  --first-color: #9f5afd;
  --title-color: #9f5afd;
  --text-color: #ffffff;
  --body-color: #151515;
  --container-color: #151515;
  --body-font: "Poppins", sans-serif;
  --h2-font-size: 1.25rem;
  --small-font-size: .813rem;
}

@media screen and (min-width: 1120px) {
  .card-layout {
    --h2-font-size: 1.5rem;
    --small-font-size: .875rem;
  }
}

.card-layout .container {
  display: grid;
  place-items: center;
  margin-inline: 1.5rem;
  padding-block: 5rem;
}

.card-layout .card__container {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  gap: 2rem;
}

.card-layout .card__article {
  position: relative;
  overflow: hidden;
  border-radius: 1.5rem;
  background-color: var(--container-color);
  width: 250px;
  height: 350px;
  transition: transform 0.3s;
  opacity: 0;
  animation: fadeIn 0.5s forwards;
}

.card-layout .card__article:hover {
  transform: scale(1.05);
}

.card-layout .card__img {
  width: 100%;
  height: 250px;
  border-top-left-radius: 1.5rem;
  border-top-right-radius: 1.5rem;
  object-fit: cover;
  transition: opacity 0.3s;
}

.card-layout .card__data {
  width: 100%;
  padding: 1.5rem 2rem;
  background-color: var(--container-color);
  box-shadow: 0 8px 24px hsla(0, 0%, 0%, .15);
  border-radius: 0 0 1.5rem 1.5rem;
  border: 1px solid #ffffff;
  opacity: 0;
  position: absolute;
  bottom: -9rem;
  left: 0;
  right: 0;
  margin-inline: auto;
  transition: opacity 1s, transform 1s;
}

.card-layout .card__article:hover .card__data {
  opacity: 1;
  transform: translateY(-14rem);
}

.card-layout .card__description {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: .25rem;
  color: var(--text-color);
}

.card-layout .card__title {
  font-size: var(--h2-font-size);
  font-weight: 500;
  color: var(--title-color);
  margin-bottom: .75rem;
}

.card-layout .card__button {
  text-decoration: none;
  font-size: var(--small-font-size);
  font-weight: 500;
  color: var(--first-color);
}

.card-layout .card__button:hover {
  text-decoration: underline;
}

/* Animaciones */
@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.card-layout .card__article:nth-child(1) {
  animation-delay: 0s;
}

.card-layout .card__article:nth-child(2) {
  animation-delay: 0.2s;
}

.card-layout .card__article:nth-child(3) {
  animation-delay: 0.4s;
}

.card-layout .card__article:nth-child(4) {
  animation-delay: 0.6s;
}

.card-layout .card__article:nth-child(5) {
  animation-delay: 0.8s;
}

.card-layout .card__article:nth-child(6) {
  animation-delay: 1s;
}

.card-layout .card__article:nth-child(7) {
  animation-delay: 1.2s;
}

.card-layout .card__article:nth-child(8) {
  animation-delay: 1.4s;
}

@media screen and (max-width: 340px) {
  .card-layout .container {
    margin-inline: 1rem;
  }

  .card-layout .card__data {
    width: 250px;
    padding: 1rem;
  }
}

@media screen and (min-width: 768px) {
  .card-layout .card__container {
    flex-wrap: wrap;
  }
}

@media screen and (min-width: 1120px) {
  .card-layout .container {
    height: 100vh;
  }

  .card-layout .card__container {
    grid-template-columns: repeat(4, 1fr);
  }

  .card-layout .card__article {
    width: 250px;
  }

  .card-layout .card__img {
    width: 100%;
    height: 250px;
  }

  .card-layout .card__data {
    width: 100%;
  }
}

.card-layout .card__data p:last-child {
  margin-bottom: 0;
}

.card-row {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-evenly;
  margin-bottom: 2rem;

}

/* Tarjetas sin animación */
 /* Estilos para las tarjetas sin animación */
 .card__article-no-animation {
  position: relative;
  overflow: hidden;
  border-radius: 1.5rem;
  background-color: var(--container-color);
  width: 250px;
  margin: 0 auto;
  margin-bottom: 1rem;
  transition: none;
}

.card__img-no-animation {
  width: 100%;
  height: 250px;
  border-top-left-radius: 1.5rem;
  border-top-right-radius: 1.5rem;
  object-fit: cover;
  transition: none;
}

.card__data-no-animation {
  width: 100%;
  padding: 1.5rem 2rem;
  background-color: var(--container-color);
  box-shadow: 0 8px 24px hsla(0, 0%, 0%, .15);
  border-radius: 0 0 1.5rem 1.5rem;
  border: 1px solid #ffffff;
  transition: none;
}

.card__description {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: .25rem;
  color: var(--text-color);
}


/* Estilos para botones y calificación de estrellas */
.btn-delete,
.btn-update,
.btn-add-experience {
  background-color: #800080;
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  text-decoration: none;
  border-radius: var(--border-radius);
  transition: var(--transition);
}

.btn-delete:hover,
.btn-update:hover,
.btn-add-experience:hover {
  background-color: var(--violet);
  color: white;
}

.form-group label {
  display: block;
}

.rating>label {
  margin-right: 4px;
}

.rating:not(:checked)>input {
  display: none;
}

.rating:not(:checked)>label {
  float: right;
  cursor: pointer;
  font-size: 30px;
}

.rating:not(:checked)>label>svg {
  fill: #666;
  transition: fill 0.3s ease;
}

.rating>input:checked~label>svg {
  fill: #ffa723;
}

.rating:not(:checked)>label:hover~label>svg,
.rating:not(:checked)>label:hover>svg {
  fill: #ff9e0b;
}

#star1:hover~label>svg,
#star1:hover>svg {
  fill: #a23c3c !important;
}

#star2:hover~label>svg,
#star2:hover>svg {
  fill: #99542d !important;
}

#star3:hover~label>svg,
#star3:hover>svg {
  fill: #9f7e18 !important;
}

#star4:hover~label>svg,
#star4:hover>svg {
  fill: #22885e !important;
}

#star5:hover~label>svg,
#star5:hover>svg {
  fill: #7951ac !important;
}

#star1:checked~label>svg {
  fill: #ef4444;
}

#star2:checked~label>svg {
  fill: #e06c2b;
}

#star3:checked~label>svg {
  fill: #eab308;
}

#star4:checked~label>svg {
  fill: #19c37d;
}

#star5:checked~label>svg {
  fill: #ab68ff;
}

.form-group .rating {
  display: flex;
  flex-direction: row-reverse;
  justify-content: flex-end;
  margin-top: 10px;
  width: 100px;
}
/* Estilos tabla de compras responsive */

.table-fixed thead {
    display: block;
    background-color: #151515; 
    color: white; 
}

.table-fixed tbody {
    display: block;
    height: 300px; 
    overflow-y: auto;
}

.table-fixed thead, .table-fixed tbody tr {
    display: table;
    width: 100%;
    table-layout: fixed;
}

.table-fixed th, .table-fixed td {
    padding: 10px;
    border: 1px solid #151515;
    text-align: left;
    vertical-align: middle;
}

.table-fixed th {
    background-color: #151515; 
    color: white; 
}

/* Estilos personalizados para formularios */
.form-custom {
  max-width: 500px;
  margin: 0 auto;
  padding: 20px;
  background-color: var(--bg-color);
  border-radius: var(--border-radius);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
  position: relative;
  overflow: hidden;
}


.form-custom::before, .form-custom::after {
  content: "";
  position: absolute;
  border-radius: 50%;
  filter: blur(20px);
}

.form-custom::before {
  width: 100px;
  height: 100px;
  background-color: var(--violet);
  top: -50px;
  left: -50px;
  z-index: -1;
}

.form-custom::after {
  width: 150px;
  height: 150px;
  background-color: #00aaff;
  bottom: -75px;
  right: -75px;
  z-index: -1;
}

.form-custom h2 {
  color: var(--white);
  font-size: 1.5rem;
  font-weight: bold;
  margin-bottom: 20px;
}

.form-custom label {
  display: block;
  color: #ccc;
  font-size: 0.875rem;
  margin-bottom: 5px;
}

.form-custom input,
.form-custom textarea {
  width: 100%;
  padding: 10px;
  background-color: #333;
  border: 1px solid #555;
  border-radius: var(--border-radius);
  color: var(--white);
  margin-bottom: 15px;
  color: white; 
}

.form-custom input:focus,
.form-custom textarea:focus {
  outline: none;
  border-color: var(--violet);
  color: white; 
}

.form-custom button {
  background: linear-gradient(90deg, #9f5afd 0%, #9f5afd 50%, #00aaff 100%);
  color: white; 
  padding: 10px 20px;
  border: none;
  border-radius: var(--border-radius);
  font-weight: bold;
  cursor: pointer;
  transition: none; 
}

.form-custom button:active {
  opacity: 1;
}

.form-custom button:hover {
  opacity: 1; 
}

.form-custom .invalid-feedback {
  color: #e3342f;
}

/* Estilo específico para las opciones del select */
.form-custom select option {
  color: black; 
  background-color: white; 
}


/* Estilo para evitar el salto de línea en las etiquetas */
.col-form-label {
    white-space: nowrap;
}

/* Estilo para alinear elementos en la misma línea */
.form-group.d-flex.justify-content-between.align-items-center {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.form-group .btn-link {
    margin-left: 10px;
}

/* Estilos para los modales */
.modal-content {
  background-color: var(--bg-color);
  color: var(--white);
  border-radius: var(--border-radius);
}

.modal-header, .modal-footer {
  border: none;
}

.modal-header .close {
  color: var(--white);
  opacity: 0.8;
}

.modal-header .close:hover {
  opacity: 1;
}

.modal-body img {
  cursor: pointer;
  transition: transform 0.2s;
}

.modal-body img:hover {
  transform: scale(1.05);
}

.modal-footer button {
  background-color: var(--violet);
  border: none;
  color: var(--white);
  border-radius: var(--border-radius);
  padding: 10px 20px;
  transition: background-color 0.3s;
}

.modal-footer button:hover {
  background-color: #7e44d8;
}
/* ULTIMAS MODIF */
/* animacion principal */

.animated-image {
  animation: fadeInUp 1s ease-in-out both, zoomIn 1.5s ease-in-out both;
}
@keyframes fadeInUp {
  from {
      opacity: 0;
      transform: translate3d(0, 100%, 0);
  }
  to {
      opacity: 1;
      transform: translate3d(0, 0, 0);
  }
}

@keyframes zoomIn {
  from {
      opacity: 0;
      transform: scale3d(0.3, 0.3, 0.3);
  }
  50% {
      opacity: 1;
  }
}
/* Estilo inicial para los elementos que deben aparecer */
.fade-in-section {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

/* Estilo para los elementos cuando se vuelven visibles */
.fade-in-section.visible {
  opacity: 1;
  transform: none;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.tarjetas .col-12 {
  opacity: 0;
  animation: fadeIn 0.5s ease-in-out forwards;
}

.tarjetas .col-12:nth-child(1) {
  animation-delay: 0.1s;
}

.tarjetas .col-12:nth-child(2) {
  animation-delay: 0.2s;
}

.tarjetas .col-12:nth-child(3) {
  animation-delay: 0.3s;
}

.tarjetas .col-12:nth-child(4) {
  animation-delay: 0.4s;
}

.tarjetas .col-12:nth-child(5) {
  animation-delay: 0.5s;
}
.tarjetas .col-12:nth-child(6) {
  animation-delay: 0.6s;
}
/* Añadir margen superior a la fila de resultados de búsqueda */
#resultados {
  margin-top: 20px; 
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

#resultados .col-12 {
  opacity: 0;
  animation: fadeIn 0.5s ease-in-out forwards;
}

#resultados .col-12:nth-child(1) {
  animation-delay: 0.1s;
}

#resultados .col-12:nth-child(2) {
  animation-delay: 0.2s;
}

#resultados .col-12:nth-child(3) {
  animation-delay: 0.3s;
}

#resultados .col-12:nth-child(4) {
  animation-delay: 0.4s;
}

#resultados .col-12:nth-child(5) {
  animation-delay: 0.5s;

}

#resultados .col-12:nth-child(6) {
  animation-delay: 0.6s;
}

.titulo-busqueda-eventos span {
  background: linear-gradient(87.6deg, #093df8 -31.42%, #bc5ffc 112.86%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
}


/* Estilo para el título "Buscar Eventos" */
.titulo-busqueda-eventos span {
  background: linear-gradient(87.6deg, #093df8 -31.42%, #bc5ffc 112.86%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  font-size: 4rem; 
  font-weight: bold; 
}

.buscador-pequeno {
  width: 25%; 
  margin: 0 auto; 
  padding: 5px 10px; 
  font-size: 14px;
  border: 1px solid #ccc; 
  border-radius: 5px; 
  background-color: #333; 
  color: white; 
}


.buscador-pequeno::placeholder {
  color: white; 
}

.buscador-pequeno:focus {
  outline: none; 
  box-shadow: none; 
  border-color: #aaa; 
  background-color: #333; 
  color: white; 
}

.buscador-pequeno:active {
  opacity: 1; 
}

.buscador-pequeno:hover {
  opacity: 1; 
}

.filtro-input {
  width: 25%; 
  margin: 0 auto; 
  padding: 5px 10px; 
  font-size: 14px; 
  border: 1px solid #ccc; 
  border-radius: 5px; 
  background-color: #fff; 
}

.filtro-input:focus {
  outline: none; 
  box-shadow: none; 
  border-color: #fff !important;
}

.btn-primary-custom {
  background: linear-gradient(90deg, #9f5afd 0%, #9f5afd 50%, #00aaff 100%);
  color: white; 
  padding: 10px 20px;
  border: none;
  border-radius: 5px; 
  font-weight: bold;
  cursor: pointer;
  transition: opacity 0.3s;
}

.btn-primary-custom:hover {
  opacity: 0.8;
}

.btn-primary {
  background-color: var(--violet); 
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  text-decoration: none;
  border-radius: var(--border-radius);
  transition: var(--transition);
}

.btn-primary:hover {
  background-color: purple;
  color: white;
}

.create-ad-card {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 350px;
  width: 250px;
  background-color: var(--container-color);
  border-radius: 1.5rem;
  border: 1px solid #ffffff;
  transition: transform 0.3s;
  cursor: pointer;
}

.create-ad-card:hover {
  transform: scale(1.05);
}

.btn-primary-custom {
  background: linear-gradient(90deg, #9f5afd 0%, #9f5afd 50%, #00aaff 100%);
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: var(--border-radius);
  font-weight: bold;
  cursor: pointer;
  transition: opacity 0.3s;
}

.btn-primary-custom:hover {
  opacity: 0.8;
}

/* Grid de ^Profile */
.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 40px; 
  row-gap: 0; 
  max-width: 1000px;
  margin: 0 auto;
}

.grid-item {
  border-radius: var(--border-radius);
}


/* Efecto de máscara para la imagen de marcador de posición */
.placeholder-image img {
  -webkit-mask-image: linear-gradient(to right, transparent, black 70%, black 90%);
  mask-image: linear-gradient(to right, transparent, black 70%, black 90%);
}
.section-margin {
  margin-bottom: 100px; 
}

/* Estilo para la imagen de placeholder en el carrito vacío */
.placeholder-image {
  position: relative;
  width: 100%;
  max-width: 100%;
  margin: 0 auto;
}

.placeholder-image img {
  width: 100%; 
  -webkit-mask-image: radial-gradient(circle, black, transparent 50%);
  mask-image: radial-gradient(circle, black, transparent 50%);
}

.empty-cart-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 60vh; 
}

.empty-cart-container p,
.empty-cart-container .btn-primary {
  position: absolute;
  z-index: 1;
}

.empty-cart-container p {
  top: 30%; 
  font-size: 1.5rem;
  color: #fff; 
  text-align: center;
  width: 100%;
}

.empty-cart-container .btn-primary {
  top: 40%; 
}

/* Centrar y estilizar la tabla */
.table-responsive {
  display: flex;
  justify-content: center;
  margin: 0 auto;
}

.table-fixed {
  width: 80%; 
  margin: 0 auto;
}

.table th, .table td {
  text-align: center;
  vertical-align: middle;
}



